import type { AgentContext, Buffer, DidRegistrar, DidCreateOptions, DidCreateResult, DidDeactivateResult, DidUpdateResult, DidDocumentService } from '@aries-framework/core';
export declare class IndyVdrIndyDidRegistrar implements DidRegistrar {
    readonly supportedMethods: string[];
    create(agentContext: AgentContext, options: IndyVdrDidCreateOptions): Promise<DidCreateResult>;
    update(): Promise<DidUpdateResult>;
    deactivate(): Promise<DidDeactivateResult>;
    private registerPublicDid;
    private setEndpointsForDid;
}
interface IndyVdrDidCreateOptionsBase extends DidCreateOptions {
    didDocument?: never;
    options: {
        alias?: string;
        role?: string;
        services?: DidDocumentService[];
        useEndpointAttrib?: boolean;
        verkey?: string;
        submitterDid: string;
    };
    secret?: {
        seed?: Buffer;
        privateKey?: Buffer;
    };
}
interface IndyVdrDidCreateOptionsWithDid extends IndyVdrDidCreateOptionsBase {
    method?: never;
    did: string;
}
interface IndyVdrDidCreateOptionsWithoutDid extends IndyVdrDidCreateOptionsBase {
    method: 'indy';
    did?: never;
}
export type IndyVdrDidCreateOptions = IndyVdrDidCreateOptionsWithDid | IndyVdrDidCreateOptionsWithoutDid;
export {};
